Silva Issue Tracker Archive: Issue1368

 This tracker has been migrated to Launchpad. Please post new messages at: https://bugs.launchpad.net/silva.
Title Release communication
Priority urgent Status in-progress
Superseder (list) Nosy List kitblake, thisfred, wim (list)
Assigned To thisfred Topics Silva-1.6 (list)

Created on 2005-08-27.06:34:15 by kitblake, last changed 2007-02-20.17:44:10 by kitblake.

Messages
msg9208 (view) Author: kitblake Date: 2007-02-20.17:44:09
Reviving for 1.6.
msg9191 (view) Author: wim Date: 2007-02-19.16:42:27
New Docs are put in the branch and trunk and tested
msg9116 (view) Author: kitblake Date: 2007-02-08.19:16:31
A few more minor fixes in the docs are done. This issue is on testing. When
prepping the release, I'd like to test what we get when the docs are installed
in a new Silva root, and check the paths of the nav and Indexer links.
msg9108 (view) Author: kitblake Date: 2007-02-08.17:04:44
The problems in the docs have been fixed. I've added the maintenance doc. So
this solves the 'sub-issue' of the documentation. 

We still need to be sure we communicate (and maybe re-communicate the earlier
upgrade instructions) in The Release Communiqué to silva-dev.

Setting to testing.
msg8981 (view) Author: kitblake Date: 2006-12-12.07:44:19
Adding in 1.5, since there's now a change in the layout templates.
msg8885 (view) Author: kitblake Date: 2006-11-07.17:18:57
Removing Silva 1.5 topic.
msg8338 (view) Author: kitblake Date: 2006-01-31.06:39:15
Users upgrading need to be informed about the changes in frontend.css too.
They''ll have to "install default layout" in order to get the new table cell
alignment selectors.

The release communication should explain this and the point below about
preview_html.
msg7890 (view) Author: kitblake Date: 2005-11-05.08:19:01
With major releases, we always write a mail with “developer changes” which gets
sent to silva-dev. For this release we need to mail silva-general also. Subject
is perhaps: “Silva 1.4 release information for Managers”. In that mail we should
describe the below point in exacting detail. 

It's a nice feature, and it would be a shame if Silva users didn't have it
because we didn't communicate well enough.
msg7598 (view) Author: kitblake Date: 2005-08-27.06:34:15
Just found this in HISTORY.txt:
      - Public preview mode now has a back button to go back to the
        Silva UI. Note that in order for this to work, you have to
        update layout templates, or at least, preview_html in the
        Silva root (change 'preview' in it to 'public_preview').

This important item shouldn't be only buried in HISTORY.txt, but needs to be
loudly and clearly communicated to users in The Release Communiqué. I changed
the text, since updating the layout templates won't change the existing
preview_html.
History
Date User Action Args
2007-02-20 17:44:11kitblakesetmessages: + msg9208
2007-02-20 13:14:47kitblakesetstatus: resolved -> in-progress
nosy: + wim
topic: - Silva-1.5
2007-02-19 16:42:36wimsetstatus: testing -> resolved
2007-02-19 16:42:28wimsetmessages: + msg9191
2007-02-08 19:16:32kitblakesetmessages: + msg9116
2007-02-08 17:04:45kitblakesetstatus: chatting -> testing
messages: + msg9108
2007-02-06 13:47:02thisfredsetassignedto: thisfred
2006-12-12 07:44:20kitblakesettopic: + Silva-1.5
messages: + msg8981
2006-11-07 17:19:02kitblakesetpriority: critical -> urgent
topic: - Silva-1.5
messages: + msg8885
2006-09-04 12:07:02faassensetassignedto: johnny -> (no value)
2006-06-21 08:03:17kitblakesetnosy: - johnny
2006-06-02 05:10:13kitblakesettopic: + Silva-1.5, Silva-1.6, - Silva-1.4
2006-01-31 06:39:16kitblakesetmessages: + msg8338
2005-12-04 18:13:50kitblakesetpriority: urgent -> critical
2005-11-05 08:19:02kitblakesetstatus: unread -> chatting
nosy: + thisfred
messages: + msg7890
assignedto: kitblake -> johnny
2005-11-04 19:02:27thisfredsetassignedto: kitblake
2005-09-29 11:59:28johnnysettopic: + Silva-1.4, - Silva-1.3
2005-08-29 18:14:47johnnysetnosy: + johnny
2005-08-27 06:34:16kitblakecreate